#2 Add ability to view and reprint closed cash

2.3
closed
nobody
None
2014-06-16
2014-05-20
No

Would be interesting bein able to explore the closed cashes and being able to print it from the program, so I can go to the sequence 2 for example, see it and print it.

Related

Tickets: #2

Discussion

  • Anthony Porter
    Anthony Porter
    2014-05-20

    At this time we will not dwell into the software physically as this is a development for a Backoffice app for the Unicenta software. We will soon add more features such as viewing toal cash,check, mo, credits etc from the backoffice management end but will not go into the software. Requests to alter software should be from the unicenta themselves... Our do you mean "Print from the program" as in ours?

     
    Last edit: Anthony Porter 2014-05-20
  • Anthony Porter
    Anthony Porter
    2014-05-22

    • status: open --> closed
     
  • What I mean is just the possibility to run a consult versus the closed cash table to get the close cash report and print it with the same data you obtain when you close the cash for the first time. I wasn't thinking on modifiying unicenta itself.

     
  • Anthony Porter
    Anthony Porter
    2014-05-22

    Oh ok, the first question looked like you wanted me to gracefully waltz into unicenta and expect me to have that done HAHAHA. No seriously that sounds like something needed along with several others.

    Sure that will work sir. Download the update as there has been a few major changes. remove your old one and replace with this one, fix the dbconn file in the con folder and that's it. I will approve it. The user sales will probably be extended to show those how many cash, check,credit, voucher stuff too.

    thanks and I approve of this ticket... Good call

     
    Last edit: Anthony Porter 2014-05-22
  • Anthony Porter
    Anthony Porter
    2014-05-22

    • summary: Add hability to explore and reprint closed cash --> Add ability to view and reprint closed cash
    • status: closed --> accepted
     
  • Anthony Porter
    Anthony Porter
    2014-05-22

    I wouldnt modify it unless you really want to, we will eventually have it. I've already completed the close cash summary. Only down to showing total cash, total credit, etc but it's there. For now you can print the seq # and apply that sheet to your user sales report from the backoffice.. Are you using the Pserv app?

     
  • Anthony Porter
    Anthony Porter
    2014-05-22

    It's ready, go download it...

     
    Last edit: Anthony Porter 2014-05-23
    Attachments
  • Anthony Porter
    Anthony Porter
    2014-05-23

    • status: accepted --> closed
     
    • Thanks, yes I am ussing it on some of my clients and seems to work
      perfectly, actually I have it running under Apache in Windows, this weekend
      I will do the update to the last versión and try the close cash reports,
      thanks for the great work!

      2014-05-23 2:22 GMT+01:00 Anthony Porter stconsultants@users.sf.net:

      • status: accepted --> closed

      Status: closed

      Milestone: 1.3
      Created: Tue May 20, 2014 05:59 PM UTC by Jose Pedro Fernández Pascual
      Last Updated: Thu May 22, 2014 10:14 PM UTC
      Owner: nobody

      Would be interesting bein able to explore the closed cashes and being able
      to print it from the program, so I can go to the sequence 2 for example,
      see it and print it.


      Sent from sourceforge.net because you indicated interest in
      https://sourceforge.net/p/pservbackoffice/tickets/2/

      To unsubscribe from further messages, please visit
      https://sourceforge.net/auth/subscriptions/

       

      Related

      Tickets: #2

  • Anthony Porter
    Anthony Porter
    2014-05-23

    thanks no problem!!! Also in all honesty, I didn't want to do the job twice so review your close cash report and match to the users sales report and it's easy. You know how to use the user sales report so for the close cash You do the same thing, type name, (in this case) select seq # and hit enter. That's for the daily one. Very easy huh? Should you forget the seq #, bring the date back to the 1st of the month or whatever, type the name and hit enter, you'll get all seq#'s from that user from 1st of the month to whatever

     
    Last edit: Anthony Porter 2014-05-23
    • I am doing my test on windows 7 x64, unicenta 3.7, mariadb 10 and
      apache+php5.5 but seems that I am geting errors while trying to get any
      list and problems accessing the db (at some point it complained about one
      table that doesn't exists?).
      I have it set with the tpv and root users for the db, just to see if that
      was the problem, but doesn't seems to be, but I am getting diferent errors
      with the diferent users.
      May I use another php version??
      If you need I can provide you remote acces to the test virtual machine so
      you can see the errors by yourself. I am sure it must be something I am
      doing wrong, but cannot find what.

      2014-05-23 17:18 GMT+01:00 Anthony Porter stconsultants@users.sf.net:

      thanks no problem!!!

      [tickets:#2] http://sourceforge.net/p/pservbackoffice/tickets/2/ Add
      ability to view and reprint closed cash

      Status: closed
      Milestone: 1.3
      Created: Tue May 20, 2014 05:59 PM UTC by Jose Pedro Fernández Pascual
      Last Updated: Fri May 23, 2014 01:22 AM UTC
      Owner: nobody

      Would be interesting bein able to explore the closed cashes and being able
      to print it from the program, so I can go to the sequence 2 for example,
      see it and print it.


      Sent from sourceforge.net because you indicated interest in
      https://sourceforge.net/p/pservbackoffice/tickets/2/

      To unsubscribe from further messages, please visit
      https://sourceforge.net/auth/subscriptions/

       

      Related

      Tickets: #2

  • I am doing my test on windows 7 x64, unicenta 3.7, mariadb 10 and apache+php5.5 but seems that I am geting errors while trying to get any list and problems accessing the db (at some point it complained about one table that doesn't exists?).
    I have it set with the tpv and root users for the db, just to see if that was the problem, but doesn't seems to be, but I am getting diferent errors with the diferent users.
    May I use another php version??
    If you need I can provide you remote acces to the test virtual machine so you can see the errors by yourself. I am sure it must be something I am doing wrong, but cannot find what.

     
    • Anthony Porter
      Anthony Porter
      2014-05-28

      You don't set pass/user per each system/user. You use what the user/pass to connect to db is. Be sure the db user and pass is coerect. Don't need to do anything else other that DB/HOST/USER/PASS. Missing tables? That's not the pserv that's someone inside the dabatabase making changes lol.

       
  • Anthony Porter
    Anthony Porter
    2014-05-28

    Post some pics of the errors as I have a clue what the errors are starting with the different errors for different users. I don't understand that part, one file on the server and all other systems point to http//ipaddress/pserv

     
  • Here you hae the creenshoots of the errors I am getting, I am sure Is something stupid I haven't configured correctly but cannot find what.
    The pserv2 table doesn't exist on my db because unicenta is not creating it, maybe I have to créate it manually?

    Thanks!

     
    Last edit: Jose Pedro Fernández Pascual 2014-06-01
    Attachments
  • Anthony Porter
    Anthony Porter
    2014-06-01

    I need to add that if your tables don't exist. Check to be sure your tables
    are up upper case and in phpmyadmin, go ahead and rename your database to
    "pserv2" just to line everything up.

    Point unicenta to that name no quotes. That's all I have as no one else as
    that issue.
    On May 28, 2014 3:23 AM, "Anthony Porter" stconsultants@users.sf.net
    wrote:

    I am using the same version. Some servers need to set permissions so be
    sure you've done your part in that as I have no control as well. Send a
    snapshot of your errors so I can see.
    On May 28, 2014 3:17 AM, Jose Pedro Fernández Pascual
    huma2000@users.sf.net
    wrote:

    I am doing my test on windows 7 x64, unicenta 3.7, mariadb 10 and
    apache+php5.5 but seems that I am geting errors while trying to get any
    list and problems accessing the db (at some point it complained about one
    table that doesn't exists?).
    I have it set with the tpv and root users for the db, just to see if that
    was the problem, but doesn't seems to be, but I am getting diferent errors
    with the diferent users.
    May I use another php version??
    If you need I can provide you remote acces to the test virtual machine so
    you can see the errors by yourself. I am sure it must be something I am
    doing wrong, but cannot find what.


    Status: closed
    Milestone: 1.3
    Created: Tue May 20, 2014 05:59 PM UTC by Jose Pedro Fernández Pascual
    Last Updated: Fri May 23, 2014 04:18 PM UTC
    Owner: nobody

    Would be interesting bein able to explore the closed cashes and being able
    to print it from the program, so I can go to the sequence 2 for example,
    see it and print it.


    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/pservbackoffice/tickets/2/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/subscriptions/


    Status: closed
    Milestone: 1.3
    Created: Tue May 20, 2014 05:59 PM UTC by Jose Pedro Fernández Pascual
    Last Updated: Wed May 28, 2014 08:17 AM UTC
    Owner: nobody

    Would be interesting bein able to explore the closed cashes and being able
    to print it from the program, so I can go to the sequence 2 for example,
    see it and print it.


    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/pservbackoffice/tickets/2/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/subscriptions/

     

    Related

    Tickets: #2

  • so only work with databases named pserv2?
    Renaming the db only solved the complain about pserv2 not existing, but do not solve the other errors.
    and about the uppercase, you mean the table names? (I know mariadb is not case sensitive for that) or the field names?
    Thanks

     
    • Anthony Porter
      Anthony Porter
      2014-06-01

      I don't know about that mariahdb. But yes the table names. Don't know
      about those other tables missing. This works with the mysql database and
      whatever structures that one you use is I don't know. The program does not
      change structures .. if it helps, this was built beginning of 3.56 and
      updated to the upper case tables during 3.70 changes and we left it there
      On Jun 1, 2014 1:00 PM, Jose Pedro Fernández Pascual huma2000@users.sf.net
      wrote:

      so only work with databases named pserv2?
      Renaming the db only solved the complain about pserv2 not existing, but do
      not solve the other errors.
      and about the uppercase, you mean the table names? (I know mariadb is not
      case sensitive for that) or the field names?
      Thanks


      Status: closed
      Milestone: 1.3
      Created: Tue May 20, 2014 05:59 PM UTC by Jose Pedro Fernández Pascual
      Last Updated: Sun Jun 01, 2014 11:23 AM UTC
      Owner: nobody

      Would be interesting bein able to explore the closed cashes and being able
      to print it from the program, so I can go to the sequence 2 for example,
      see it and print it.


      Sent from sourceforge.net because you indicated interest in
      https://sourceforge.net/p/pservbackoffice/tickets/2/

      To unsubscribe from further messages, please visit
      https://sourceforge.net/auth/subscriptions/

       

      Related

      Tickets: #2

      • Anthony Porter
        Anthony Porter
        2014-06-01

        Yes and that was purely by accident. It started out to get better reports
        and expanded from there. The code maker used made it a bit proprietary on
        the database name and we just use pserv2 for our clients and with upcoming
        updates there will be actual store information to run reports from each
        store so we left it alone as we saw tons of people asking for real user
        reports
        On Jun 1, 2014 1:30 PM, "Anthony Porter" stconsultants@users.sf.net wrote:

        I don't know about that mariahdb. But yes the table names. Don't know
        about those other tables missing. This works with the mysql database and
        whatever structures that one you use is I don't know. The program does not
        change structures .. if it helps, this was built beginning of 3.56 and
        updated to the upper case tables during 3.70 changes and we left it there
        On Jun 1, 2014 1:00 PM, Jose Pedro Fernández Pascual huma2000@users.sf.net
        wrote:

        so only work with databases named pserv2?
        Renaming the db only solved the complain about pserv2 not existing, but do
        not solve the other errors.
        and about the uppercase, you mean the table names? (I know mariadb is not
        case sensitive for that) or the field names?
        Thanks


        Status: closed
        Milestone: 1.3
        Created: Tue May 20, 2014 05:59 PM UTC by Jose Pedro Fernández Pascual
        Last Updated: Sun Jun 01, 2014 11:23 AM UTC
        Owner: nobody

        Would be interesting bein able to explore the closed cashes and being able
        to print it from the program, so I can go to the sequence 2 for example,
        see it and print it.


        Sent from sourceforge.net because you indicated interest in
        https://sourceforge.net/p/pservbackoffice/tickets/2/

        To unsubscribe from further messages, please visit
        https://sourceforge.net/auth/subscriptions/


        Status: closed
        Milestone: 1.3
        Created: Tue May 20, 2014 05:59 PM UTC by Jose Pedro Fernández Pascual
        Last Updated: Sun Jun 01, 2014 06:00 PM UTC
        Owner: nobody

        Would be interesting bein able to explore the closed cashes and being able
        to print it from the program, so I can go to the sequence 2 for example,
        see it and print it.


        Sent from sourceforge.net because you indicated interest in
        https://sourceforge.net/p/pservbackoffice/tickets/2/

        To unsubscribe from further messages, please visit
        https://sourceforge.net/auth/subscriptions/

         

        Related

        Tickets: #2

  • Anthony Porter
    Anthony Porter
    2014-06-07

    Hey I fixed the unnessessary backticks and removed the restrictive database name call so you don't have to use "pserv2" anymore. you can use whatever you want now.

    The missing tables is something you will have to see what it's missing but like I said, this worked from 3.60 to 3.70 and the tables it calls for has been used since the early unicenta days so whatever you are missing you might need to check that.

    Anyways the update drops tonight and you can give it a shot

     
  • No it Works!!! Thanks!!
    The only thing missing on the closhed cash report is the tax analisys that unicenta give you when you close it first time, otherwise is perfect!
    I still getting some errors, but I think is because the database is lowercase, I will try to find some way to change it to uppercase without losing the data and not having to do it by hand.

    Thanks!!

     
  • Anthony Porter
    Anthony Porter
    2014-06-09

    if you are on windows it shouldn't matter, linux /mac.. yea it does lol.. Play with it because I will have to re-release it again soon, I pushed it too soon and the profit percentage dont show correctly but the dollar does.

    The tax thing can be found in the reports on Unicenta, I PLAN to do it but not anytime soon. I was more focused on getting it to show Who, what when and where money took place while Unicenta didn't even bother with putting a username on anything LOL

     
  • Anthony Porter
    Anthony Porter
    2014-06-10

    Hey go back and re-download the app, if you downloaded it yesterday had very bad juju on profits and it's fixed and updated now. Check it out and soon I will go ahead and work the tax showing like the closed cash soon.

    thanks

     
  • Anthony Porter
    Anthony Porter
    2014-06-16

    Hey Jose, you've been a big supporter of the app so you need to know as your clients use this as well as mine. There has been some changes(Dont worry, you can still use any db name LOL).

    Profits have been fixed as math was right but in wrong area for code, barcode printing allows to print on avery 5160 labels and you wont have to worry of wasting sheet after sheet. and a few pther minor fixes.

    Check it out! All of my clients whooted for this like the last best basketball game of the season LOL.

    Thanks

     
  • Anthony Porter
    Anthony Porter
    2014-06-16

    Also the name changed to OSR Backoffice if you search for it